﻿using System;

namespace GazBooksClientLibrary.BLL
{

    public abstract class UsuarioBLL
    {
        private static UsuarioService.UsuarioServiceClient cliente = new UsuarioService.UsuarioServiceClient();

        public static UInt16 InserirUsuario(String user, String senha)
        {
            try
            {
                return cliente.InserirUsuario(user, senha);
            }
            catch (Exception e)
            {
                EventViewDLL.GeradorEventView.GravarEntrada("GazBooks", "Um erro desconhecido ocorreu: " + e.Message, System.Diagnostics.EventLogEntryType.Error, 2);
                return 2;
            }
        }

        public static Boolean ChecarUsuario(String user, String senha)
        {
            try
            {
                return cliente.BuscarUsuario(user, senha) != null;
            }
            catch (Exception e)
            {
                EventViewDLL.GeradorEventView.GravarEntrada("GazBooks", "Um erro desconhecido ocorreu: " + e.Message, System.Diagnostics.EventLogEntryType.Error, 2);
            }
            return false;
        }
    }
}
