﻿using GazBooksClientLibrary.BLL;
using System;
using System.Windows.Forms;

namespace GazBooksForms
{
    public partial class CadastrarCliente : Form
    {
        public CadastrarCliente()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            String nome = textBox1.Text;
            String cpf = maskedTextBox1.Text;
            UInt16 limite = 0;
            try
            {
                limite = UInt16.Parse(maskedTextBox2.Text);
                ClienteBLL.InserirCliente(nome, cpf, limite);
            }
            catch (FormatException)
            {
                MessageBox.Show("O limite deve ser um numero.");
                EventViewDLL.GeradorEventView.GravarEntrada("GazBooks", "Algum valor inserido para ser parseado era invalido.", System.Diagnostics.EventLogEntryType.Warning, 1);
            }
            catch (Exception ex)
            {
                MessageBox.Show("Erro desconhecido:\n" + ex.Message);
                EventViewDLL.GeradorEventView.GravarEntrada("GazBooks", "Ocorreu um erro desconhecido: " + ex.Message, System.Diagnostics.EventLogEntryType.Error, 2);
            }
        }
    }
}
