﻿using GazBooksForms.EmprestimoService;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace GazBooksForms.Util
{
    public class FazedorDeGraficos
    {
        private EmprestimoServiceClient cliente = new EmprestimoServiceClient();

        public List<ParDataNumero> PegarEmprestimosPorData()
        {
            List<Emprestimo> emprestimos = new List<Emprestimo>();
            Emprestimo[] bags = cliente.BuscarEmprestimosDevolvidos();
            Emprestimo[] bags2 = cliente.BuscarEmprestimosPendentes();
            if (bags != null)
            {
                emprestimos.AddRange(bags);
            }
            if (bags2 != null)
            {
                emprestimos.AddRange(bags2);
            }
            List<String> datas = new List<String>();
            List<ParDataNumero> bagsmaroto = new List<ParDataNumero>();
            foreach (var e in emprestimos)
            {
                if (!datas.Contains(e.Data_Emprestimo))
                {
                    datas.Add(e.Data_Emprestimo);
                    ParDataNumero hue = new ParDataNumero();
                    hue.Data = e.Data_Emprestimo;
                    bagsmaroto.Add(hue);
                }
            }
            
            foreach (var p in bagsmaroto)
            {
                foreach (var e in emprestimos)
                {
                    if (p.Data.Equals(e.Data_Emprestimo))
                    {
                        p.Numero ++;
                    }
                }
            }
            return bagsmaroto;
        }
    }

    public class ParDataNumero
    {
        public String Data { get; set; }
        public UInt16 Numero { get; set; }
    }
}
