﻿using System;
using System.Windows.Forms;

namespace GazBooksForms
{
    public partial class FormPrincipal : Form
    {
        private Login parent;

        public FormPrincipal(Login parent)
        {
            this.parent = parent;
            InitializeComponent();
        }

        private void toolStripButton2_Click(object sender, EventArgs e)
        {
            ListaLivros lista = new ListaLivros();
            lista.MdiParent = this;
            lista.Show();
        }

        private void bookToolStripMenuItem_Click(object sender, EventArgs e)
        {
            InserirLivro form = new InserirLivro();
            form.MdiParent = this;
            form.Show();
        }

        private void periodicalToolStripMenuItem_Click(object sender, EventArgs e)
        {
            InserirPeriodico form = new InserirPeriodico();
            form.MdiParent = this;
            form.Show();
        }

        private void customerToolStripMenuItem_Click(object sender, EventArgs e)
        {
            CadastrarCliente form = new CadastrarCliente();
            form.MdiParent = this;
            form.Show();
        }

        private void loanToolStripMenuItem_Click(object sender, EventArgs e)
        {
            NovoEmprestimo form = new NovoEmprestimo();
            form.MdiParent = this;
            form.Show();
        }

        private void customersToolStripMenuItem_Click(object sender, EventArgs e)
        {
            toolStripButton2_Click(sender, e);
        }

        private void toolStripButton1_Click(object sender, EventArgs e)
        {
            ListaPeriodicos lista = new ListaPeriodicos();
            lista.MdiParent = this;
            lista.Show();
        }

        private void booksToolStripMenuItem_Click(object sender, EventArgs e)
        {
            toolStripButton1_Click(sender, e);
        }

        private void customersToolStripMenuItem1_Click(object sender, EventArgs e)
        {
            ExcluirLivro f = new ExcluirLivro();
            f.MdiParent = this;
            f.Show();
        }

        private void booksToolStripMenuItem1_Click(object sender, EventArgs e)
        {
            ExcluirPeriodico f = new ExcluirPeriodico();
            f.MdiParent = this;
            f.Show();
        }

        private void periodicalsToolStripMenuItem1_Click(object sender, EventArgs e)
        {
            ExcluirCliente f = new ExcluirCliente();
            f.MdiParent = this;
            f.Show();
        }

        private void periodicalsToolStripMenuItem_Click(object sender, EventArgs e)
        {
            ListaClientes lista = new ListaClientes();
            lista.MdiParent = this;
            lista.Show();
        }

        private void todosToolStripMenuItem_Click(object sender, EventArgs e)
        {
            ListaEmprestimos lista = new ListaEmprestimos();
            lista.MdiParent = this;
            lista.Show();
        }

        private void toolStripButton3_Click(object sender, EventArgs e)
        {
            DevolverItem f = new DevolverItem();
            f.MdiParent = this;
            f.Show();
        }

        private void toolStripMenuItem1_Click(object sender, EventArgs e)
        {
            Dialogo d = new Dialogo();
            d.MdiParent = this;
            d.Show();
        }

        private void perDaychartToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Grafico g = new Grafico();
            g.MdiParent = this;
            g.Show();
        }

        private void periodicoToolStripMenuItem_Click(object sender, EventArgs e)
        {
            AlterarEstoque a = new AlterarEstoque(AlterarEstoque.TipoItem.Periodico);
            a.MdiParent = this;
            a.Show();
        }

        private void livroToolStripMenuItem_Click(object sender, EventArgs e)
        {
            AlterarEstoque a = new AlterarEstoque(AlterarEstoque.TipoItem.Livro);
            a.MdiParent = this;
            a.Show();
        }

        private void FormPrincipal_FormClosed(object sender, FormClosedEventArgs e)
        {
            parent.Dispose();
        }
    }
}
