﻿using GazBooksClientLibrary.BLL;
using System;
using System.Windows.Forms;

namespace GazBooksForms
{
    public partial class InserirLivro : Form
    {
        public InserirLivro()
        {
            InitializeComponent();
        }

        private void btnCadastrar_Click(object sender, EventArgs e)
        {
            String titulo = textBox1.Text;
            String autor = textBox2.Text;
            String tags = textBox3.Text;
            try
            {
                UInt16 edicao = UInt16.Parse(maskedTextBox1.Text);
                UInt16 qtde = UInt16.Parse(maskedTextBox2.Text);
                LivroBLL.InserirLivro(autor, titulo, edicao, tags, qtde);
            }
            catch (FormatException)
            {
                MessageBox.Show("Os campos 'Edicao' e 'Quantidade em estoque' sao obrigatorios.");
                EventViewDLL.GeradorEventView.GravarEntrada("GazBooks", "Algum valor inserido para ser parseado era invalido.", System.Diagnostics.EventLogEntryType.Warning, 1);
            }
            catch (Exception ex )
            {
                MessageBox.Show("Erro desconhecido:\n" + ex.Message);
                EventViewDLL.GeradorEventView.GravarEntrada("GazBooks", "Ocorreu um erro desconhecido: " + ex.Message, System.Diagnostics.EventLogEntryType.Error, 2);
            }
        }
    }
}
