﻿using GazBooksClientLibrary.BLL;
using System;
using System.Windows.Forms;

namespace GazBooksForms
{
    public partial class NovoEmprestimo : Form
    {
        public NovoEmprestimo()
        {
            InitializeComponent();
            comboBox1.SelectedIndex = 0;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            try
            {
                UInt32 id_cliente = UInt32.Parse(maskedTextBox1.Text);
                UInt32 id_obra = UInt32.Parse(maskedTextBox2.Text);
                String data_emp = maskedTextBox3.Text;
                String data_dev = maskedTextBox4.Text;
                switch (comboBox1.SelectedIndex)
                {
                    case 0:
                        EmprestimoBLL.InserirEmprestimo(id_obra, id_cliente, data_emp, data_dev);
                        break;
                    case 1:
                        EmprestimoBLL.InserirEmprestimoPeriodico(id_obra, id_cliente, data_emp, data_dev);
                        break;
                }
            }
            catch (FormatException)
            {
                MessageBox.Show("Os campos são todos obrigatorios.");
                EventViewDLL.GeradorEventView.GravarEntrada("GazBooks", "Algum valor inserido para ser parseado era invalido.", System.Diagnostics.EventLogEntryType.Warning, 1);
            }
            catch (Exception ex)
            {
                MessageBox.Show("Erro desconhecido:\n" + ex.Message);
                EventViewDLL.GeradorEventView.GravarEntrada("GazBooks", "Ocorreu um erro desconhecido: " + ex.Message, System.Diagnostics.EventLogEntryType.Error, 2);
            }
        }
    }
}
