﻿using System.ServiceModel;
using System;
using GazBooksLibrary.Model;
using System.Collections.Generic;

namespace GazBooksLibrary.BLL
{
    [ServiceContract]
    public interface IPeriodicoService
    {
        [OperationContract]
        void InserirPeriodico(String nome, String data_pub, String tags, UInt16 qtde);

        [OperationContract]
        void DeletarPeriodico(UInt32 id);

        [OperationContract]
        void AtualizarQuantidade(UInt32 id, UInt16 qtde);

        [OperationContract]
        Periodico BuscarPeriodicoPorID(UInt32 id);

        [OperationContract]
        List<Periodico> BuscarTodosPeriodicos();

        [OperationContract]
        List<Periodico> BuscarPeriodicosPorNome(String nome);

        [OperationContract]
        List<Periodico> BuscarPeriodicosPorData(String data);

        [OperationContract]
        List<Periodico> BuscarPeriodicosPorTags(String tags);
    }
}
