﻿using GazBooksClientLibrary.BLL;
using System;
using System.Windows.Forms;

namespace GazBooksForms
{
    public partial class DevolverItem : Form
    {

        public DevolverItem()
        {
            InitializeComponent();
            comboBox1.SelectedIndex = 0;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            try
            {
                UInt32 id = UInt32.Parse(maskedTextBox1.Text);
                switch (comboBox1.SelectedIndex)
                {
                    case 0:
                        EmprestimoBLL.RegistrarDevolucao(id);
                        break;
                    case 1:
                        EmprestimoBLL.RegistrarDevolucaoPeriodico(id);
                        break;
                }
            }
            catch (FormatException)
            {
                MessageBox.Show("Os campos são todos obrigatorios.");
                EventViewDLL.GeradorEventView.GravarEntrada("GazBooks", "Algum valor inserido para ser parseado era invalido.", System.Diagnostics.EventLogEntryType.Warning, 1);
            }
            catch (Exception ex)
            {
                MessageBox.Show("Erro desconhecido:\n" + ex.Message);
                EventViewDLL.GeradorEventView.GravarEntrada("GazBooks", "Ocorreu um erro desconhecido: " + ex.Message, System.Diagnostics.EventLogEntryType.Error, 2);
            }
        }
    }
}
