﻿using GazBooksClientLibrary.BLL;
using System;
using System.Windows.Forms;

namespace GazBooksForms
{
    public partial class InserirPeriodico : Form
    {
        public InserirPeriodico()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            String nome = textBox1.Text;
            String data = maskedTextBox1.Text;
            String tags = textBox2.Text;
            try
            {
                UInt16 qtde = UInt16.Parse(maskedTextBox2.Text);
                PeriodicoBLL.InserirPeriodico(nome, data, tags, qtde);
            }
            catch (FormatException)
            {
                MessageBox.Show("O campo 'Quantidade em estoque' é obrigatorio.");
                EventViewDLL.GeradorEventView.GravarEntrada("GazBooks", "Algum valor inserido para ser parseado era invalido.", System.Diagnostics.EventLogEntryType.Warning, 1);
            }
            catch (Exception ex)
            {
                MessageBox.Show("Erro desconhecido:\n" + ex.Message);
                EventViewDLL.GeradorEventView.GravarEntrada("GazBooks", "Ocorreu um erro desconhecido: " + ex.Message, System.Diagnostics.EventLogEntryType.Error, 2);
            }      
        }
    }
}
