﻿using GazBooksLibrary.Model;
using System;
using System.Collections.Generic;
using System.ServiceModel;

namespace GazBooksLibrary.BLL
{
    [ServiceContract]
    public interface IClienteService
    {
        [OperationContract]
        List<Cliente> BuscarClientes(String nome);

        [OperationContract]
        void InserirCliente(String nome, String cpf, UInt16 limite);

        [OperationContract]
        void AlterarNome(String cpf, String nomeNovo);

        [OperationContract]
        void AlterarLimite(String cpf, UInt16 novoLimite);

        [OperationContract]
        void DeletarCliente(String cpf);
    }
}
