﻿using GazBooksLibrary.Model;
using System;
using System.Collections.Generic;
using System.ServiceModel;

namespace GazBooksLibrary.BLL
{
    [ServiceContract]
    public interface ILivroService
    {
        [OperationContract]
        void InserirLivro(String autor, String nome, UInt16 edicao, String tags, UInt16 qtde);

        [OperationContract]
        void DeletarLivro(UInt32 id);

        [OperationContract]
        void AtualizarQuantidade(UInt32 id, UInt16 qtde);
        
        [OperationContract]
        Livro BuscarLivroPorID(UInt32 id);

        [OperationContract]
        List<Livro> BuscarTodosLivros();

        [OperationContract]
        List<Livro> BuscarLivrosPorNome(String nome);

        [OperationContract]
        List<Livro> BuscarLivrosPorAutor(String autor);

        [OperationContract]
        List<Livro> BuscarLivrosPorTags(String tags);
    }
}
