﻿using GazBooksLibrary.Model;
using System;
using System.ServiceModel;

namespace GazBooksLibrary.BLL
{
    [ServiceContract]
    public interface IUsuarioService
    {
        [OperationContract]
        Usuario BuscarUsuario(String username, String senha);

        [OperationContract]
        UInt16 InserirUsuario(String username, String senha);

        [OperationContract]
        void AlterarSenha(String username, String novaSenha);

        [OperationContract]
        void DeletarUsuario(String username);
    }
}
